Update Credit Card Auto Pay (GQL)

Note: All the Auto Pay API's have the endpoint: /graphql

Use this GraphQL API to update an existing automatic payment configuration for a credit card account. The updated auto-pay configuration will adjust the amount or account details based on the new setup. This ensures that automatic payments continue to function according to the revised details and help maintain timely payments, avoiding late fees or interest charges.

Behaviour: A successful response confirms that the credit card auto-pay configuration has been successfully updated.

Body Params

The following fields provide detailed information about the GraphQL mutation to update an existing credit card auto-pay configuration:

ParameterDescriptionMandatoryData TypeExample
updateCreditCardAutoPayConfigThis mutation updates an existing auto-pay configuration for a credit card.YesMutation
standingInstructionIdThe unique ID of the existing auto-pay standing instruction to be updated.YesInteger27
inputAn object containing the details required to update the credit card auto-pay.YesObject
instructionTypeThe type of auto-pay instruction.YesInteger1
fromAccountIdThe account ID from which the payment will be deducted.YesInteger3
toAccountIdThe account ID to which the payment will be credited.YesInteger2
amountThe updated amount to be automatically paid from the linked account.YesFloat20.0
statusThe updated status of the auto-pay configuration, where 1 indicates active and 2 indicates inactive.YesInteger2
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!